From b2e1d78c73e4962900729f2b889dd37208587b71 Mon Sep 17 00:00:00 2001
From: Denis Baranov <baraka@etersoft.ru>
Date: Fri, 9 Sep 2011 12:37:01 +0400
Subject: [PATCH] reg.d, ies4linux, scripts/winetricks: Fix default User Sid
 on regedit (eterbug #7628)

---
 etersoft/ies4linux/ieuninstall        |    2 +-
 etersoft/ies4linux/winereg/ie6.reg    |   60 ++++++++++++++++----------------
 etersoft/ies4linux/winereg/iedlls.reg |   10 +++---
 etersoft/reg.d/common.reg             |    8 ++--
 etersoft/reg.d/foxpro.manual          |    2 +-
 etersoft/reg.d/ie.reg                 |    6 ++--
 etersoft/reg.d/inet.reg               |    2 +-
 etersoft/reg.d/liberation.reg         |    2 +-
 etersoft/reg.d/msi.reg                |    6 ++--
 etersoft/reg.d/theme.reg              |    4 +-
 etersoft/scripts/winetricks           |    2 +-
 11 files changed, 52 insertions(+), 52 deletions(-)

diff --git a/etersoft/ies4linux/ieuninstall b/etersoft/ies4linux/ieuninstall
index 5f1fd8f..41ccf66 100755
--- a/etersoft/ies4linux/ieuninstall
+++ b/etersoft/ies4linux/ieuninstall
@@ -127,7 +127,7 @@ for i in $TO_DELETE; do
 done
 
 # Removing iexplore.exe defaults
-wine regedit /D 'HKEY_USERS\S-1-5-4\Software\Wine\AppDefaults\iexplore.exe'
+wine regedit /D 'HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Wine\AppDefaults\iexplore.exe'
 
 # Updating
 wine --update
diff --git a/etersoft/ies4linux/winereg/ie6.reg b/etersoft/ies4linux/winereg/ie6.reg
index 55a33b9..a44f2fe 100644
--- a/etersoft/ies4linux/winereg/ie6.reg
+++ b/etersoft/ies4linux/winereg/ie6.reg
@@ -1,23 +1,23 @@
 
-[HKEY_USERS\S-1-5-4\Software\Microsoft\Internet Explorer\Extensions\CmdMapping]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Microsoft\Internet Explorer\Extensions\CmdMapping]
 "NextId"=dword:00002001
 
 [HKEY_CURRENT_USER\Software\Microsoft\Internet Explorer\Extensions\CmdMapping]
 "NextId"=dword:00002001
 
-[HKEY_USERS\S-1-5-4\Software\Microsoft\Internet Explorer\IntelliForms]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Microsoft\Internet Explorer\IntelliForms]
 "AskUser"=dword:00000001
 
 [HKEY_CURRENT_USER\Software\Microsoft\Internet Explorer\IntelliForms]
 "AskUser"=dword:00000001
 
-[HKEY_USERS\S-1-5-4\Software\Microsoft\Internet Explorer\IntelliForms\SPW]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Microsoft\Internet Explorer\IntelliForms\SPW]
 "R5B)G(@\\*J[D[F3"=dword:00000000
 
 [HKEY_CURRENT_USER\Software\Microsoft\Internet Explorer\IntelliForms\SPW]
 "R5B)G(@\\*J[D[F3"=dword:00000000
 
-[HKEY_USERS\S-1-5-4\Software\Microsoft\Internet Explorer\Main]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Microsoft\Internet Explorer\Main]
 "Check_Associations"="No"
 "Error Dlg Details Pane Open"="yes"
 "Error Dlg Displayed On Every Error"="no"
@@ -39,61 +39,61 @@
   ff,ff,ff,ff,ff,ff,ff,ff,ff,ff,01,00,00,00,19,00,00,00,1b,04,00,00,2c,03,00,\
   00
 
-[HKEY_USERS\S-1-5-4\Software\Microsoft\Internet Explorer\Security\P3Global]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Microsoft\Internet Explorer\Security\P3Global]
 "Enabled"=dword:00000001
 
 [HKEY_CURRENT_USER\Software\Microsoft\Internet Explorer\Security\P3Global]
 "Enabled"=dword:00000001
 
-[HKEY_USERS\S-1-5-4\Software\Microsoft\Internet Explorer\Security\P3Sites]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Microsoft\Internet Explorer\Security\P3Sites]
 
 [HKEY_CURRENT_USER\Software\Microsoft\Internet Explorer\Security\P3Sites]
 
-[HKEY_USERS\S-1-5-4\Software\Microsoft\SystemCertificates\CA\Certificates]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Microsoft\SystemCertificates\CA\Certificates]
 
 [HKEY_CURRENT_USER\Software\Microsoft\SystemCertificates\CA\Certificates]
 
-[HKEY_USERS\S-1-5-4\Software\Microsoft\SystemCertificates\CA\CRLs]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Microsoft\SystemCertificates\CA\CRLs]
 
 [HKEY_CURRENT_USER\Software\Microsoft\SystemCertificates\CA\CRLs]
 
-[HKEY_USERS\S-1-5-4\Software\Microsoft\SystemCertificates\CA\CTLs]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Microsoft\SystemCertificates\CA\CTLs]
 
 [HKEY_CURRENT_USER\Software\Microsoft\SystemCertificates\CA\CTLs]
 
-[HKEY_USERS\S-1-5-4\Software\Microsoft\SystemCertificates\MY]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Microsoft\SystemCertificates\MY]
 
 [HKEY_CURRENT_USER\Software\Microsoft\SystemCertificates\MY]
 
-[HKEY_USERS\S-1-5-4\Software\Microsoft\SystemCertificates\ROOT\Certificates]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Microsoft\SystemCertificates\ROOT\Certificates]
 
 [HKEY_CURRENT_USER\Software\Microsoft\SystemCertificates\ROOT\Certificates]
 
-[HKEY_USERS\S-1-5-4\Software\Microsoft\SystemCertificates\ROOT\CRLs]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Microsoft\SystemCertificates\ROOT\CRLs]
 
 [HKEY_CURRENT_USER\Software\Microsoft\SystemCertificates\ROOT\CRLs]
 
-[HKEY_USERS\S-1-5-4\Software\Microsoft\SystemCertificates\ROOT\CTLs]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Microsoft\SystemCertificates\ROOT\CTLs]
 
 [HKEY_CURRENT_USER\Software\Microsoft\SystemCertificates\ROOT\CTLs]
 
-[HKEY_USERS\S-1-5-4\Software\Microsoft\SystemCertificates\trust\Certificates]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Microsoft\SystemCertificates\trust\Certificates]
 
 [HKEY_CURRENT_USER\Software\Microsoft\SystemCertificates\trust\Certificates]
 
-[HKEY_USERS\S-1-5-4\Software\Microsoft\SystemCertificates\trust\CRLs]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Microsoft\SystemCertificates\trust\CRLs]
 
 [HKEY_CURRENT_USER\Software\Microsoft\SystemCertificates\trust\CRLs]
 
-[HKEY_USERS\S-1-5-4\Software\Microsoft\SystemCertificates\trust\CTLs]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Microsoft\SystemCertificates\trust\CTLs]
 
 [HKEY_CURRENT_USER\Software\Microsoft\SystemCertificates\trust\CTLs]
 
-[HKEY_USERS\S-1-5-4\Software\Microsoft\Windows\CurrentVersion\Explorer\Advanced]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Microsoft\Windows\CurrentVersion\Explorer\Advanced]
 
 [HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\Advanced]
 
-[HKEY_USERS\S-1-5-4\Software\Microsoft\Windows\CurrentVersion\Explorer\Discardable\PostSetup\Component Categories\{00021493-0000-0000-C000-000000000046}\Enum]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Microsoft\Windows\CurrentVersion\Explorer\Discardable\PostSetup\Component Categories\{00021493-0000-0000-C000-000000000046}\Enum]
 "Implementing"=hex:1c,00,00,00,01,00,00,00,d5,07,04,00,06,00,09,00,11,00,33,00,\
   27,00,56,02,05,00,00,00,01,24,d0,30,81,6a,d0,11,82,74,00,c0,4f,d5,ae,38,83,\
   31,68,32,a0,48,1b,44,a3,42,7c,2a,44,0a,94,78,61,4e,a2,ef,78,b0,d0,11,89,e4,\
@@ -107,7 +107,7 @@
   00,c0,4f,c9,e2,6e,62,4e,a2,ef,78,b0,d0,11,89,e4,00,c0,4f,c9,e2,6e,64,4e,a2,\
   ef,78,b0,d0,11,89,e4,00,c0,4f,c9,e2,6e
 
-[HKEY_USERS\S-1-5-4\Software\Microsoft\Windows\CurrentVersion\Explorer\Discardable\PostSetup\Component Categories\{00021494-0000-0000-C000-000000000046}\Enum]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Microsoft\Windows\CurrentVersion\Explorer\Discardable\PostSetup\Component Categories\{00021494-0000-0000-C000-000000000046}\Enum]
 "Implementing"=hex:1c,00,00,00,01,00,00,00,d5,07,04,00,06,00,09,00,11,00,33,00,\
   27,00,c1,02,01,00,00,00,25,8c,5c,4d,75,d0,d0,11,b4,16,00,c0,4f,b9,03,76
 
@@ -115,7 +115,7 @@
 "Implementing"=hex:1c,00,00,00,01,00,00,00,d5,07,04,00,06,00,09,00,11,00,33,00,\
   27,00,c1,02,01,00,00,00,25,8c,5c,4d,75,d0,d0,11,b4,16,00,c0,4f,b9,03,76
 
-[HKEY_USERS\S-1-5-4\Software\Microsoft\Windows\CurrentVersion\Explorer\StreamMRU]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Microsoft\Windows\CurrentVersion\Explorer\StreamMRU]
 "0"=hex:14,00,1f,00,80,53,1c,87,a0,42,69,10,a2,ea,08,00,2b,30,30,9d,00,00
 "MRUListEx"=hex:00,00,00,00,ff,ff,ff,ff
 
@@ -123,7 +123,7 @@
 "0"=hex:14,00,1f,00,80,53,1c,87,a0,42,69,10,a2,ea,08,00,2b,30,30,9d,00,00
 "MRUListEx"=hex:00,00,00,00,ff,ff,ff,ff
 
-[HKEY_USERS\S-1-5-4\Software\Microsoft\Windows\CurrentVersion\Explorer\Streams\0]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Microsoft\Windows\CurrentVersion\Explorer\Streams\0]
 "CabView"=hex:5c,00,00,00,00,00,00,00,01,00,00,00,ff,ff,ff,ff,ff,ff,ff,ff,ff,\
   ff,ff,ff,ff,ff,ff,ff,01,00,00,00,19,00,00,00,1b,04,00,00,2c,03,00,00,01,00,\
   00,00,00,00,00,00,03,00,00,00,00,00,00,00,3e,00,00,00,06,00,00,00,2c,00,00,\
@@ -135,41 +135,41 @@
   00,00,00,00,00,00,03,00,00,00,00,00,00,00,3e,00,00,00,06,00,00,00,2c,00,00,\
   00,00,00,00,00,01,00,00,00,ff,ff,ff,ff,01,00,00,00,00,00,00,00
 
-[HKEY_USERS\S-1-5-4\Software\Microsoft\Windows\CurrentVersion\Explorer\User Shell Folders]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Microsoft\Windows\CurrentVersion\Explorer\User Shell Folders]
 
 [HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\User Shell Folders]
 
-[HKEY_USERS\S-1-5-4\Software\Microsoft\Windows\CurrentVersion\WinTrust\Trust Providers\Software Publishing]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Microsoft\Windows\CurrentVersion\WinTrust\Trust Providers\Software Publishing]
 "State"=dword:00023c00
 
 [HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\WinTrust\Trust Providers\Software Publishing]
 "State"=dword:00023c00
 
-[HKEY_USERS\S-1-5-4\Software\Microsoft\Windows\CurrentVersion\WinTrust\Trust Providers\Software Publishing\Trust Database\0]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Microsoft\Windows\CurrentVersion\WinTrust\Trust Providers\Software Publishing\Trust Database\0]
 
 [HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\WinTrust\Trust Providers\Software Publishing\Trust Database\0]
 
-[HKEY_USERS\S-1-5-4\Software\Policies\Microsoft\SystemCertificates\ca\Certificates]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Policies\Microsoft\SystemCertificates\ca\Certificates]
 
 [HKEY_CURRENT_USER\Software\Policies\Microsoft\SystemCertificates\ca\Certificates]
 
-[HKEY_USERS\S-1-5-4\Software\Policies\Microsoft\SystemCertificates\ca\CRLs]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Policies\Microsoft\SystemCertificates\ca\CRLs]
 
 [HKEY_CURRENT_USER\Software\Policies\Microsoft\SystemCertificates\ca\CRLs]
 
-[HKEY_USERS\S-1-5-4\Software\Policies\Microsoft\SystemCertificates\ca\CTLs]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Policies\Microsoft\SystemCertificates\ca\CTLs]
 
 [HKEY_CURRENT_USER\Software\Policies\Microsoft\SystemCertificates\ca\CTLs]
 
-[HKEY_USERS\S-1-5-4\Software\Policies\Microsoft\SystemCertificates\trust\Certificates]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Policies\Microsoft\SystemCertificates\trust\Certificates]
 
 [HKEY_CURRENT_USER\Software\Policies\Microsoft\SystemCertificates\trust\Certificates]
 
-[HKEY_USERS\S-1-5-4\Software\Policies\Microsoft\SystemCertificates\trust\CRLs]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Policies\Microsoft\SystemCertificates\trust\CRLs]
 
 [HKEY_CURRENT_USER\Software\Policies\Microsoft\SystemCertificates\trust\CRLs]
 
-[HKEY_USERS\S-1-5-4\Software\Policies\Microsoft\SystemCertificates\trust\CTLs]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Policies\Microsoft\SystemCertificates\trust\CTLs]
 
 [HKEY_CURRENT_USER\Software\Policies\Microsoft\SystemCertificates\trust\CTLs]
 
diff --git a/etersoft/ies4linux/winereg/iedlls.reg b/etersoft/ies4linux/winereg/iedlls.reg
index 7c25edb..7d6e802 100644
--- a/etersoft/ies4linux/winereg/iedlls.reg
+++ b/etersoft/ies4linux/winereg/iedlls.reg
@@ -1,19 +1,19 @@
-[HKEY_USERS\S-1-5-4\Software\Microsoft\Internet Explorer\Main]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Microsoft\Internet Explorer\Main]
 "Start Page"="http://winehq.org.ru"
 
 # For IE6 installer
-[HKEY_USERS\S-1-5-4\Software\Wine\AppDefaults\ie6wzd.exe\DllOverrides]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Wine\AppDefaults\ie6wzd.exe\DllOverrides]
 "advpack"="native"
 
-[HKEY_USERS\S-1-5-4\Software\Wine\AppDefaults\ie6setup.exe]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Wine\AppDefaults\ie6setup.exe]
 "Version"="win98"
 
 # For HTTPS (eterbug #4340)
-[HKEY_USERS\S-1-5-4\Software\Wine\AppDefaults\iexplore.exe]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Wine\AppDefaults\iexplore.exe]
 "Version"="win98"
 
 # For other applications used IE
-[HKEY_USERS\S-1-5-4\Software\Wine\DllOverrides]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Wine\DllOverrides]
 "actxprxy"="native,builtin"
 "asycfilt"="native,builtin"
 "atl"="native,builtin"
diff --git a/etersoft/reg.d/common.reg b/etersoft/reg.d/common.reg
index 0185c89..28c1280 100644
--- a/etersoft/reg.d/common.reg
+++ b/etersoft/reg.d/common.reg
@@ -1,13 +1,13 @@
 # Common replacements for Etersoft's Wine build
 
-[HKEY_USERS\S-1-5-4\Software\Microsoft\Internet Explorer\Main]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Microsoft\Internet Explorer\Main]
 "Start Page"="http://winehq.org.ru"
 
-[HKEY_USERS\S-1-5-4\Software\Wine]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Wine]
 "ShowDirSymLinks"="Y"
 "ShowDotFiles"="N"
 
-[HKEY_USERS\S-1-5-4\Software\Wine\DllOverrides]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Wine\DllOverrides]
 "msvcrt"="builtin,native"
 "msvcirt"="native,builtin"
 "msvcp60"="native,builtin"
@@ -36,7 +36,7 @@
 "extrac32.exe"="builtin"
 "itss"="native,builtin"
 
-[HKEY_USERS\S-1-5-4\Software\Wine\Debug]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Wine\Debug]
 "RelayExclude"="kernel32.InitializeCriticalSection;ntdll.RtlDeleteCriticalSection;kernel32.QueryPerformanceCounter;kernel32.TlsGetValue;kernel32.InterlockedDecrement;kernel32.InterlockedIncrement;ntdll.RtlEnterCriticalSection;ntdll.RtlLeaveCriticalSection;kernel32.94;kernel32.95;kernel32.96;kernel32.97;kernel32.98"
 "RelayFromExclude"="winex11.drv;user32;gdi32;advapi32;kernel32"
 
diff --git a/etersoft/reg.d/foxpro.manual b/etersoft/reg.d/foxpro.manual
index cdb01e6..b3e36c9 100644
--- a/etersoft/reg.d/foxpro.manual
+++ b/etersoft/reg.d/foxpro.manual
@@ -1,7 +1,7 @@
 # Foxpro replacements for Etersoft's Wine build
 
 
-[HKEY_USERS\S-1-5-4\Software\Wine\DllOverrides]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Wine\DllOverrides]
 "ole2"="native,builtin"
 "ole32"="native,builtin"
 "oleaut32"="native,builtin"
diff --git a/etersoft/reg.d/ie.reg b/etersoft/reg.d/ie.reg
index b30d867..9ff0bb8 100644
--- a/etersoft/reg.d/ie.reg
+++ b/etersoft/reg.d/ie.reg
@@ -7,14 +7,14 @@
 "Start Page"="http://appdb.winehq.org.ru"
 
 # For IE6 installer
-[HKEY_USERS\S-1-5-4\Software\Wine\AppDefaults\ie6wzd.exe\DllOverrides]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Wine\AppDefaults\ie6wzd.exe\DllOverrides]
 "advpack"="native"
 
-[HKEY_USERS\S-1-5-4\Software\Wine\AppDefaults\ie6setup.exe]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Wine\AppDefaults\ie6setup.exe]
 "Version"="win98"
 
 # For other applications used IE
-[HKEY_USERS\S-1-5-4\Software\Wine\DllOverrides]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Wine\DllOverrides]
 "actxprxy"="native,builtin"
 "asycfilt"="native,builtin"
 "atl"="native,builtin"
diff --git a/etersoft/reg.d/inet.reg b/etersoft/reg.d/inet.reg
index b8a615d..3e805fd 100644
--- a/etersoft/reg.d/inet.reg
+++ b/etersoft/reg.d/inet.reg
@@ -1,5 +1,5 @@
 # (c) Etersoft 2009
 
 # Enable Internet access
-[HKEY_USERS\S-1-5-4\Software\Microsoft\Windows\CurrentVersion\Internet Settings]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Microsoft\Windows\CurrentVersion\Internet Settings]
 "ProxyEnable"=dword:00000000
diff --git a/etersoft/reg.d/liberation.reg b/etersoft/reg.d/liberation.reg
index 6e48118..97ea7bc 100644
--- a/etersoft/reg.d/liberation.reg
+++ b/etersoft/reg.d/liberation.reg
@@ -1,7 +1,7 @@
 # (c) Etersoft 2009
 # Do Core fonts replacement with their free metrically equivalents
 
-[HKEY_USERS\S-1-5-4\Software\Wine\Fonts\Replacements]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Wine\Fonts\Replacements]
 "Times New Roman"="Liberation Serif"
 "Arial"="Liberation Sans"
 "Courier New"="Liberation Mono"
diff --git a/etersoft/reg.d/msi.reg b/etersoft/reg.d/msi.reg
index 11fe3df..8435588 100644
--- a/etersoft/reg.d/msi.reg
+++ b/etersoft/reg.d/msi.reg
@@ -2,12 +2,12 @@
 # Etersoft's presettings for MSI
 
 # InstMsiA.exe
-[HKEY_USERS\S-1-5-4\Software\Wine\AppDefaults\instmsia.exe]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Wine\AppDefaults\instmsia.exe]
 "Version"="win98"
 
-[HKEY_USERS\S-1-5-4\Software\Wine\AppDefaults\msiinst.exe]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Wine\AppDefaults\msiinst.exe]
 "Version"="win98"
 
-[HKEY_USERS\S-1-5-4\Software\Wine\DllOverrides]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Wine\DllOverrides]
 "msi"="builtin,native"
 "msiexec.exe"="builtin,native"
diff --git a/etersoft/reg.d/theme.reg b/etersoft/reg.d/theme.reg
index b4c68c9..52e2a24 100644
--- a/etersoft/reg.d/theme.reg
+++ b/etersoft/reg.d/theme.reg
@@ -1,7 +1,7 @@
 # (c) Etersoft 2005, 2009
 # Etersoft's theme for WINE
 
-[HKEY_USERS\S-1-5-4\Control Panel\Colors]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Control Panel\Colors]
 #
 "ActiveBorder"="212 208 200"
 "ActiveTitle"="18 86 165"
@@ -51,7 +51,7 @@
 "WindowFrame"="0 0 0"
 "WindowText"="0 0 0"
 
-[HKEY_USERS\S-1-5-4\Control Panel\\Desktop]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Control Panel\\Desktop]
 "DragFullWindows"="0"
 "FontSmoothing"="2"
 "FontSmoothingType"=dword:00000002
diff --git a/etersoft/scripts/winetricks b/etersoft/scripts/winetricks
index e90ebff..5e555eb 100755
--- a/etersoft/scripts/winetricks
+++ b/etersoft/scripts/winetricks
@@ -1181,7 +1181,7 @@ w_set_winver()
         cat > "$W_TMP"/set-winver.reg <<_EOF_
 REGEDIT4
 
-[HKEY_USERS\S-1-5-4\Software\Wine]
+[HKEY_USERS\S-1-5-21-0-0-0-1000\Software\Wine]
 "Version"="win31"
 
 _EOF_
-- 
1.7.6.1

